Subject: Re: git update index question

From: Gonzalo Garramuno <[email-masked]>
Date: Wed, 17 Oct 2007 09:58:46 -0300

Lars Hjemli wrote:
> On 10/17/07, Gonzalo Garramuno <[email-masked]> wrote:
>> what's the proper way to rebuild git's index file for all the files that
>> were to be committed but weren't due to the abort.
> 
> Have you tried 'git commit -a'? It will run update-index on all
> modified files prior to executing the hook.
> 
> Btw: If you want to inspect your changes for offending whitespace,
> 'git diff --color' and  'git diff --cached --color' are your friends.
> And if you give up, there is also 'git commit -a --no-verify'.
> 

Thanks.  I found out the root of my problem was actually something else. 
  I had incorrectly done a chmod a+x on the pre-commit hook when all my 
previous commits had not been using it, so I think the pre-commit was 
actually catching not my new fix but what was already in the repository.
git-commit -a had no effect due to that.

But it's good to know about the --no-verify option, thou.

-- 
Gonzalo Garramuño

Film Aura
A New Dawn in Media Companies

[email-masked]
http://www.filmaura.com